HHexen ChangeLog

v1.6.4
 - fixed a heap buffer overrun which was introduced back in v1.6.0.
 - new mus2midi converter code by Bret Curtis.
 - Atari (FreeMint) support, by Miro Kropacek.

v1.6.3
 - verified successful compilation using gcc-4.6 to 4.8 and clang-3.x. fixed
   some undefined behaviors in the C code.
 - recognize Hexen wads from Mac port by Presage and display proper credits page

v1.6.2
 - reject the old (beta) PC demo (from hexen.zip, "Released October 2nd, 1995").
 - configury updates.

v1.6.1
 - fixed player movement for environments where the char type is unsigned by
   default.
 - made detSideFloat() and findIntersectionVertex() to compile without
   optimizations, at least for gcc >= 4.4, providing some partial solution to
   to opengl clipping problems.
 - added -nomidi as a new command line option.

v1.6.0
 - fixed a rare menu related crash.
 - worked around audio corruption with the sdlmixer driver when SDL_mixer tried
   looping the background music.
 - fixed interoperability of games saved on little and big endian machines: it
   was a nasty bug I have been forgetting since 1.5.0.  the fix added in 1.6.0
   might break game files saved on big endian machines using hhexen-1.5.x.  the
   saves from little endian machines are fully compatible.
 - added --with-datapath a new configure option. if not used, SHARED_DATAPATH
   is defined as an empty string, otherwise as the directory path given on the
   configure command line. if it isn't an empty string and the HHEXEN_DATA
   environment variable isn't found, the engine will use it as its shared data
   path.
 - made sure that the HHEXEN_DATA environment variable, if found, isn't an empty
   string.
 - added -waddir as a new command line option. if the option is present and has
   an argument, it is set as the shared data path. if not, then the directory
   specified by the HHEXEN_DATA environment variable is used as the shared data
   path. if it isn't found either, the data path form the compile time options
   is used, if configured.
 - made sdlmixer driver to search the shared data path for external music files.
   the music path search order now is: the shared data path first, then the user
   directory and then the current working directory.
 - made the game's default behavior of running windowed or fullscreen changable
   by configure. the default is running windowed, the new --enable-fullscreen
   configure option makes fullscreen the default.
 - added --disable-userdirs as a new option which adds the ability to build the
   engine without user directories support, if desired.
 - updated the readme file with basic information on how to play the game and
   how to activate the mission pack and/or extra wad files.
 - some tweaks and re-organization in the build system.
 - added experimental configure option --enable-dossaves, disabled by default
   with the details documented in sv_save.h.
 - added --enable-rangecheck option to configure, disabled by default.

v1.5.3
 - Ensured that the new gcc-4.4 series compilers are properly supported.
 - SDL and SDL_mixer audio drivers now honor the -nosound command line
   option.
 - A few other minor cleanups.

v1.5.2
 - Fixed SDL_mixer freeze with zero music volume in some cases.
 - Added support for external music files to the SDL_mixer driver.

v1.5.1
 - Fixed ARM support.
 - Added SDL audio driver.
 - Added SDL_mixer audio driver with midi playback support.
 - Fixed a few minor coding issues with big endian support.
 - A few other minor fixes.

v1.5
 - Intermission and finale screens now work in OpenGL.
 - Added support for 64 bit machines.
 - Added support for big endian machines.
 - Saved games from 32 bit, 64 bit, little endian and big endian machines are
   compatible with each other.
 - Added support for the Mac version of the demo hexen.wad file.
 - OpenGL is the default configuration, now.
 - The demo wad files doesn't need a special configuration anymore.
 - Various hacks/fixes for the proper handling of different 1.0 and 1.1 wad
   file versions; read WADFILES for technical details.
 - Adding wad and lmp files: hhexen will now look in the user directory, too.
   Now, the search order is:
   (1) in directory specifed by the HHEXEN_DATA environment variable,
   (2) in the user directory (~/.hhexen/),  and
   (3) in the usual current directory (w/o any prefixes to the filename).
 - The recorded demos are now written in the user directory (~/.hhexen/).
 - Incomplete assassin class is now disabled by default.  If you want it,
   configure with --enable-assassin
 - Fixed a crash with binaries compiled by gcc-4.0.x series compilers.
 - Fixed a sound related crash on FreeBSD.
 - Made the svgalib driver to actually work.
 - Many other bugfixes

v1.4
 - Configs and savegames stored in ~/.hhexen/
 - SDL and SDL/GL support
 - X11 and SVGALib targets are removed
 - OpenGL screenshots (now bound to F12)
 - Screenshots are now saved to ~/.hhexen/
 - Transparent map feature (TAB key)
 - Fixed broken keybinding in the menu
 - More complete support for punctuation keys in the control-setup menu.
 - The config files from the previous hhexen versions are now invalid: delete
   your configs and bind your keys again from the menu system.
 - Many GCC/C/portability bugfixes

v1.3
 - OpenGL support
 - Key configuration menu
 - Mouselook and inverse mouselook
 - Autorun

v1.2
 - Sprites load from assassin.wad file
 - Works with Linux Hexen 0.5.0 code

v1.0
 - Initial release

